"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LimitCondition = void 0;
var LimitCondition = /** @class */ (function () {
    function LimitCondition(limit) {
        this.kind = 'limit';
        this.limit = limit;
    }
    LimitCondition.prototype.render = function () {
        return {
            kind: this.kind,
            args: {
                limit: this.limit,
            },
        };
    };
    return LimitCondition;
}());
exports.LimitCondition = LimitCondition;
