"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OffsetCondition = void 0;
var OffsetCondition = /** @class */ (function () {
    function OffsetCondition(offset) {
        this.kind = 'offset';
        this.offset = offset;
    }
    OffsetCondition.prototype.render = function () {
        return {
            kind: this.kind,
            args: {
                offset: this.offset,
            },
        };
    };
    return OffsetCondition;
}());
exports.OffsetCondition = OffsetCondition;
