"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OrWhereHasCondition = void 0;
var renderable_1 = require("../../support/renderable");
var OrWhereHasCondition = /** @class */ (function () {
    function OrWhereHasCondition(relation, args) {
        this.kind = 'orWhereHas';
        this.relation = relation;
        this.args = args;
        this.subquery = renderable_1.isRenderable(this.args) ? this.args.render() : null;
    }
    OrWhereHasCondition.prototype.render = function () {
        return {
            kind: this.kind,
            args: {
                relation: this.relation,
                subquery: this.subquery,
            },
        };
    };
    return OrWhereHasCondition;
}());
exports.OrWhereHasCondition = OrWhereHasCondition;
