"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ScopeCondition = void 0;
var ScopeCondition = /** @class */ (function () {
    function ScopeCondition(name, params) {
        if (params === void 0) { params = null; }
        this.kind = 'scope';
        this.name = name;
        this.params = params;
    }
    ScopeCondition.prototype.render = function () {
        return {
            kind: this.kind,
            args: {
                name: this.name,
                params: this.params,
            },
        };
    };
    return ScopeCondition;
}());
exports.ScopeCondition = ScopeCondition;
