"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SelectCondition = void 0;
var SelectCondition = /** @class */ (function () {
    function SelectCondition(columns) {
        if (columns === void 0) { columns = []; }
        this.kind = 'select';
        this.columns = columns;
    }
    SelectCondition.prototype.render = function () {
        return {
            kind: this.kind,
            args: {
                columns: this.columns,
            },
        };
    };
    return SelectCondition;
}());
exports.SelectCondition = SelectCondition;
