"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WhereNullCondition = void 0;
var WhereNullCondition = /** @class */ (function () {
    function WhereNullCondition(columnName) {
        this.kind = 'whereNull';
        this.columnName = columnName;
    }
    WhereNullCondition.prototype.render = function () {
        return {
            kind: this.kind,
            args: {
                column_name: this.columnName,
            },
        };
    };
    return WhereNullCondition;
}());
exports.WhereNullCondition = WhereNullCondition;
