"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
exports.Delete = void 0;
var query_1 = require("./query");
var Delete = /** @class */ (function (_super) {
    __extends(Delete, _super);
    function Delete(type, key, id) {
        var _this = _super.call(this) || this;
        _this.setActionName('delete');
        _this.setType(type);
        _this.setKey(key);
        _this.setId(id);
        return _this;
    }
    Delete.prototype.render = function () {
        return {
            query: this.getActionName(),
            type: this.getType(),
            key: this.getKey(),
            params: {
                id: this.getId(),
            },
        };
    };
    return Delete;
}(query_1.Query));
exports.Delete = Delete;
