import { Query } from './query';
export declare class Fetch extends Query {
    private conditionChain;
    private perPage;
    private pageNumber;
    constructor(type: string, key: string);
    select(columns: Array<string>): Fetch;
    orWhere(condition: any): Fetch;
    orWhereDoesntHave(relation: string, condition: any): Fetch;
    scope(name: string, params: any): Fetch;
    where(condition: any): Fetch;
    whereHas(relation: string, condition?: any): Fetch;
    orWhereHas(relation: string, condition: any): Fetch;
    whereDoesntHave(relation: string, condition: any): Fetch;
    whereIn(key: string, values: any): Fetch;
    whereNotIn(key: string, values: any): Fetch;
    whereNull(columnName: string): Fetch;
    whereNotNull(columnName: string): Fetch;
    orWhereNull(columnName: string): Fetch;
    orWhereNotNull(columnName: string): Fetch;
    whereColumn(columnsList: any): Fetch;
    whereExists(select: string, from: string, where: string): Fetch;
    with(tableNameList: string[]): Fetch;
    limit(limit: number): Fetch;
    offset(offset: number): Fetch;
    paginate(pageNumber: number, perPage: number): Fetch;
    render(): any;
}
