import { Renderable } from '../support/renderable';
export declare abstract class Query implements Renderable {
    static readonly uuidLength = 36;
    static readonly uuidOffset = 2;
    private actionName;
    private type;
    private key;
    private params;
    private id;
    getActionName(): string;
    setActionName(actionName: string): void;
    getType(): string;
    setType(type: string): void;
    setKey(key: string): void;
    getKey(): string;
    getId(): number;
    setId(id: number): void;
    getParams(): any;
    setParams(params: any): void;
    static makeUUID(): string;
    abstract render(): any;
}
