import * as queries from './queries/index';
export declare class QueryBuilder {
    static create(type: string, key: string, params: any): queries.CreateQuery;
    static custom(type: string, key: string, params: any): queries.CustomQuery;
    static delete(type: string, key: string, id: number): queries.DeleteQuery;
    static fetch(type: string, key: string): queries.FetchQuery;
    static find(type: string, key: string, id: number): queries.FindQuery;
    static update(type: string, key: string, id: number, params: any): queries.UpdateQuery;
}
