"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WhereColumnCondition = void 0;
var WhereColumnCondition = /** @class */ (function () {
    function WhereColumnCondition(columnsList) {
        this.kind = 'whereColumn';
        this.columnsList = columnsList;
    }
    WhereColumnCondition.prototype.render = function () {
        return {
            kind: this.kind,
            args: {
                columns_list: this.columnsList,
            },
        };
    };
    return WhereColumnCondition;
}());
exports.WhereColumnCondition = WhereColumnCondition;
