"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WhereExistsCondition = void 0;
var WhereExistsCondition = /** @class */ (function () {
    function WhereExistsCondition(select, from, where) {
        this.kind = 'whereExists';
        this.select = select;
        this.from = from;
        this.where = where;
    }
    WhereExistsCondition.prototype.render = function () {
        return {
            kind: this.kind,
            args: {
                select: this.select,
                from: this.from,
                where: this.where,
            },
        };
    };
    return WhereExistsCondition;
}());
exports.WhereExistsCondition = WhereExistsCondition;
