"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WhereInCondition = void 0;
var WhereInCondition = /** @class */ (function () {
    function WhereInCondition(key, values) {
        this.kind = 'whereIn';
        this.key = key;
        this.values = values;
    }
    WhereInCondition.prototype.render = function () {
        return {
            kind: this.kind,
            args: {
                key: this.key,
                values: this.values,
            },
        };
    };
    return WhereInCondition;
}());
exports.WhereInCondition = WhereInCondition;
