"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WhereNotInCondition = void 0;
var WhereNotInCondition = /** @class */ (function () {
    function WhereNotInCondition(key, values) {
        this.kind = 'whereNotIn';
        this.key = key;
        this.values = values;
    }
    WhereNotInCondition.prototype.render = function () {
        return {
            kind: this.kind,
            args: {
                key: this.key,
                values: this.values,
            },
        };
    };
    return WhereNotInCondition;
}());
exports.WhereNotInCondition = WhereNotInCondition;
