"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WhereNotNullCondition = void 0;
var WhereNotNullCondition = /** @class */ (function () {
    function WhereNotNullCondition(columnName) {
        this.kind = 'whereNotNull';
        this.columnName = columnName;
    }
    WhereNotNullCondition.prototype.render = function () {
        return {
            kind: this.kind,
            args: {
                column_name: this.columnName,
            },
        };
    };
    return WhereNotNullCondition;
}());
exports.WhereNotNullCondition = WhereNotNullCondition;
